Subject: Re: [PATCH] clone: quell the progress report from init and report on clone

From: "Michael J Gruber" <[email-masked]>
Date: Sun, 04 Apr 2010 15:02:15 +0200

On Fri, 02 Apr 2010 00:28 -0700, "Junio C Hamano" <[email-masked]>
wrote:
> Michael J Gruber <[email-masked]> writes:
> 
> > From: Junio C Hamano <[email-masked]>
> >
> > Currently, a local glit clone reports only initializing an empty
> > git dir, which is potentially confusing.
> 
> glit?

Sorry, this glitch clomes from the clone clommand of glit.
 
> > Instead, report that cloning is in progress and when it is done
> > (unless -q) is given, and suppres the init report (unless -v
> > is given).
> >
> > Signed-off-by: Michael J Gruber <[email-masked]>
> > ---
> > I checked the documentation, there is really no place where the output
> > of git clone is documented - no documentation or test change is necesessary.
> 
> Thanks.
> 
> > I made it so that -v will restore the init message.
> 
> I wonder how that would be useful, though.  The new message already says
> which directory is being worked on.  I didn't see a point of repeating
> that and made it silent on purpose.
 
Well, the idea is that '-v' should do at least something, and often (for
other commands) shows the individual steps of an action. The steps here
are init+clone.
Personally, I don't really care for either option.

Michael
P.S.: I'm sparsely online this week. Please don't mind if my responses
come in late.